- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DCore
- QArmature
- Qt 6.5.1 Reference Documentation

# QArmature Class

class Qt3DCore::QArmature

Used to calculate skinning transform matrices and set them on shaders. More...

Header: | #include <QArmature>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dcore) target_link_libraries(mytarget PRIVATE Qt6::3dcore)
qmake: | QT += 3dcore
Instantiated By: | Armature
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- skeleton : Qt3DCore::QAbstractSkeleton*

## Public Functions

| QArmature(Qt3DCore::QNode *parent = nullptr)
Qt3DCore::QAbstractSkeleton * | skeleton() const

## Public Slots

void | setSkeleton(Qt3DCore::QAbstractSkeleton *skeleton)

## Signals

void | skeletonChanged(Qt3DCore::QAbstractSkeleton *skeleton)

## Detailed Description

The Armature component is aggregated by entities to give them the ability to calculate the palette of skinning transform matrices needed to properly render skinned meshes.

Each vertex in a skinned mesh is associated (bound) to up to 4 joints in a skeleton. For each joint affecting a vertex the mesh also provides a weight which determines the level of influence of the corresponding joint. The skinning palette used for performing the transformation of skinned vertices is provided by the Armature and is calculated from the joints contained in the referenced skeleton.

Updating the local transform of a joint results in the skinning matrices being recalculated and the skinned mesh vertices bound to that joint moving accordingly.

## Property Documentation

### skeleton : Qt3DCore::QAbstractSkeleton*

Holds the skeleton used to calculate the skinning transform matrix palette.

Access functions:

Qt3DCore::QAbstractSkeleton * | skeleton() const
void | setSkeleton(Qt3DCore::QAbstractSkeleton *skeleton)

Notifier signal:

void | skeletonChanged(Qt3DCore::QAbstractSkeleton *skeleton)

## Member Function Documentation

### `[explicit]` QArmature::QArmature(Qt3DCore::QNode *parent = nullptr)

Constructs a new QArmature with parent.